Page MenuHomePhabricator

Enable the visual editor in the Wikipedia namespace on the English Wikipedia
Closed, DeclinedPublic1 Story Points

Description

I do not see the VE Edit tab in https://en.wikipedia.org/wiki/Wikipedia:AutoWikiBrowser/Sandbox nor https://en.wikipedia.org/wiki/Wikipedia_talk:AutoWikiBrowser/Sandbox

while I have it enabled (and I can see it) in mainspace.

Event Timeline

Magioladitis updated the task description. (Show Details)
Magioladitis raised the priority of this task from to Needs Triage.
Magioladitis added a project: VisualEditor.
Magioladitis added a subscriber: Magioladitis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2015, 9:38 AM

Pretty sure this is intentional. You could probably start a discussion on the village pump about it, it's a matter of configuration.

I might not understand "Wikipedia space" correctly here.
So far I only see links to Sandboxes posted here? :)

@Aklapper

Try this page then:

https://en.wikipedia.org/wiki/Wikipedia:Dead-end_pages

I am mainly interested in the sandbox fix though

Neil_P._Quinn_WMF renamed this task from Ve Edit tab not enabled in Wikipedia space? to Enable the visual editor in the Wikipedia namespace on the English Wikipedia.Aug 3 2015, 6:20 PM
Neil_P._Quinn_WMF triaged this task as Low priority.
Neil_P._Quinn_WMF set Security to None.

+1, WP namespace is mostly policy articles, so I don't see a problem. https://en.wikipedia.org/wiki/Wikipedia:Project_namespace

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 18 2015, 7:24 PM
Jdforrester-WMF edited a custom field.

Change 235362 had a related patch set uploaded (by Jforrester):
Enable VisualEditor for NS_PROJECT on enwiki

https://gerrit.wikimedia.org/r/235362

Change 235362 merged by jenkins-bot:
Enable VisualEditor for NS_PROJECT on enwiki

https://gerrit.wikimedia.org/r/235362

Risker added a subscriber: Risker.Sep 3 2015, 3:44 AM

Okay...please undo this. Contrary to what is suggested above, Wikipedia space is FULL of pages where people need to sign. Noticeboards, AfDs, checkuser pages...pretty much every page I've edited since this has been uploaded.

I really like VE in article space, and I've used it in my sandbox. I do not want to have to remove it from my preferences. But given that a lot of active editors and almost all administrators regularly edit in Wikipedia space on pages that require signature, this is going to have a negative impact on user acceptance. We've had years of training reinforcing that "edit" in this namespace means "wikitext" - but it is not acceptable to fail to sign the majority of pages that exist in Wikipedia space, and it's impossible to do that with VE.

It looks like 41% of the pages in the Wikipedia: namespace at en.wp are AFDs. Of course, 98% of those won't be open for editing on any given day, but it's a lot of pages.

TheDJ added a subscriber: TheDJ.Sep 3 2015, 9:07 PM

Either disable, or at least make it conditional on the presence of NEWSECTIONLINK ?

Okay...please undo this. Contrary to what is suggested above, Wikipedia space is FULL of pages where people need to sign. Noticeboards, AfDs, checkuser pages...pretty much every page I've edited since this has been uploaded.

I wrote a gadget some time ago to make it possible to insert signatures in VisualEditor: https://meta.wikimedia.org/wiki/User:Matma_Rex/visualeditor-signature.js. I try to keep it from breaking too badly, especially if you let me know it broke.

Jdforrester-WMF reopened this task as Open.Sep 4 2015, 12:09 AM

Now undone.

Jdforrester-WMF changed the task status from Open to Stalled.Sep 4 2015, 12:09 AM
Elitre added a subscriber: Elitre.Sep 4 2015, 10:52 AM

Thanks James. Here's a link to the current discussion.

Jdforrester-WMF closed this task as Declined.Sep 11 2015, 11:51 PM